#+TITLE: About me
#+KEYWORDS: social
#+AUTHOR: Yann Esposito
#+EMAIL: yann@esposito.host
#+LANGUAGE: en
#+LANG: en
#+OPTIONS: H:5 auto-id:t
#+STARTUP: showeverything

@@html:<nav>
<a href="/index.html">Home</a> |
<a href="/slides.html">Slides</a> |
<a href="/about-me.html">About</a>
<span class="details">
(<a href="https://gitea.esy.fun/yogsototh">code</a>
<a href="https://espial.esy.fun/u:yogsototh">bookmarks</a>
<a href="https://espial.esy.fun/u:yogsototh/notes">notes</a>)
</span>
</nav>@@

#+begin_notes
If you are still waiting a reply from me.
Don't take it personally.
After reading Digital Minimalism[fn:dm] I decided to drastically protect
myself against most real-time notifications.

I try to look at my email everyday.
But it is not unusual I can skip a few days without checking any notification.

So I'll answer, it can just take a lot of time.

My preferred way to be contacted is via encrypted email.
This will certainly be the best way for me to notice you among notifications.
#+end_notes

[fn:dm] http://www.calnewport.com/books/digital-minimalism/

* Contact
  :PROPERTIES:
  :CUSTOM_ID: contact
  :END:

#+MACRO: pemail @@html: <a href="&#109;&#97;&#105;&#x6C;&#116;&#111;&#x3A;&#x79;&#x61;&#x6E;&#x6E;&#64;&#x65;&#x73;&#112;&#x6F;&#x73;&#105;&#x74;&#x6F;&#x2E;&#x68;&#x6F;&#x73;&#x74;">&#x59;&#x61;&#x6E;&#x6E;&#x20;&#x45;&#x73;&#x70;&#x6F;&#115;&#x69;&#116;&#x6F; &lt;&#x79;&#x61;&#x6E;&#x6E;&#64;&#x65;&#x73;&#112;&#x6F;&#x73;&#105;&#x74;&#x6F;&#x2E;&#x68;&#x6F;&#x73;&#x74;&gt;</a>@@


- email: {{{pemail}}}
- gpg: [[file:files/publickey.txt][CB420F8005F1A662]]

PDF resumes:

- [[file:files/yann-esposito-resume.pdf][resume]]
- [[file:files/yann-esposito-long-resume.pdf][detailled resume]]

** Social
:PROPERTIES:
:CUSTOM_ID: social
:END:

- github:  [[https://github.com/yogsototh][github/yogsototh]]
- my bookmarks: [[https://pinboard.in/u:yogsototh][pinboard/u:yogsototh]]
- microblog: [[https://twitter.com/yogsototh][@yogsototh]]
- lobste.rs:  [[https://lobste.rs/u/yogsototh][/u/yogsototh]]

With some self-hosted alternatives:

- code: [[https://gitea.esy.fun/yogsototh][gitea.esy.fun]]
- bookmarks: [[https://espial.esy.fun/u:yogsototh][espial.esy.fun]]
- microblog: [[https://espial.esy.fun/u:yogsototh/notes][espial.esy.fun]]

* Who am I?
:PROPERTIES:
:CUSTOM_ID: who-am-i
:END:

My Internet presence is mostly known from older blog post.
In particular:

- [[http://yannesposito.com/Scratch/en/blog/Learn-Vim-Progressively/][Learn Vim Progressively]]
- [[http://yannesposito.com/Scratch/en/blog/Haskell-the-Hard-Way/][Learn Haskell Fast and Hard]]
- [[http://yannesposito.com/Scratch/en/blog/Yesod-tutorial-for-newbies/][Haskell Web Programming]]
- [[http://yannesposito.com/Scratch/en/blog/Category-Theory-Presentation/][Category Theory Presentation]]

** Work
:PROPERTIES:
:CUSTOM_ID: work
:END:

#+MACRO: br @@html:<br/>@@

I'm a functional programmer, working remotely for Cisco.{{{br}}}
I work in Clojure and use Haskell/Purescript during the weekends.

I am part of a full remote team.
I work on the backend and I'm particularly specialized in Authentication.
I wrote a full OAuth2 and OpenID Connect Provider in Clojure.
Right now there is no plan to make it opensource.

Here is are my resumes in PDF format:
- [[file:files/yann-esposito-resume.pdf][resume]]
- [[file:files/yann-esposito-long-resume.pdf][detailled resume]]
** Tooling
:PROPERTIES:
:CUSTOM_ID: tooling
:END:

In our programmer community, tooling is essential.

- macOS
  - [[https://nixos.org][nix]] with [[https://github.com/nix-community/home-manager][home-manager]]
  - [[https://yadm.io][yadm]] for things home-manager had difficult to handle
- [[https://www.gnu.org/software/emacs/][emacs]] (former vim user)
  - [[https://github.com/hlissner/doom-emacs][doom-emacs]] (used [[https://www.spacemacs.org][spacemacs]] before)
  - [[https://orgmode.org][org-mode]] / [[https://github.com/bastibe/org-journal][org-journal]] / [[https://www.orgroam.com][org-roam]]
  - [[https://magit.vc][magit]] / [[https://magit.vc/manual/forge/][forge]] / [[https://github.com/charignon/github-review][github-review]]
- [[https://weechat.org][weechat]]
  - [[https://github.com/wee-slack/wee-slack][wee-slack]]

** Internet consumption
:PROPERTIES:
:CUSTOM_ID: internet-consumption
:END:

*** News
:PROPERTIES:
:CUSTOM_ID: news
:END:

- [[https://lobste.rs/][lobsters]]
- [[https://news.ycombinator.com/][HN]]
- [[https://laarc.io][laarc]]
- [[https://www.discoverdev.io][discoverdev]]
- [[https://reddit.com/r/haskell][/r/haskell]]
- [[https://reddit.com/r/clojure][/r/clojure]]

*** RSS
:PROPERTIES:
:CUSTOM_ID: rss
:END:

I mostly consume them via [[https://github.com/skeeto/elfeed][elfeed]] in emacs:

**** Imported Feeds                                               :elfeed:
:PROPERTIES:
:CUSTOM_ID: imported-feeds
:END:
***** news                                                       :news:
:PROPERTIES:
:CUSTOM_ID: news-0675
:END:
****** [[https://hnrss.org/newest?points=1200][HN]]
:PROPERTIES:
:CUSTOM_ID: --https---hnrss-org-newest-points-1200--hn--
:END:
****** [[https://beepb00p.xyz/atom.xml][beepb00p.xyz ]]                                            :tech:
:PROPERTIES:
:CUSTOM_ID: --https---beepb00p-xyz-atom-xml--beepb00p-xyz---
:END:
****** [[https://esoteric.codes/rss][esoteric.codes]]                                           :tech:
:PROPERTIES:
:CUSTOM_ID: --https---esoteric-codes-rss--esoteric-codes--
:END:
***** haskell                                                    :haskell:fp:
:PROPERTIES:
:CUSTOM_ID: haskell
:END:
****** [[http://feeds.feedburner.com/ezyang][Inside 206-105]]
:PROPERTIES:
:CUSTOM_ID: --http---feeds-feedburner-com-ezyang--inside-206-105--
:END:
****** [[http://blog.jle.im/rss][in Code — Entries]]
:PROPERTIES:
:CUSTOM_ID: --http---blog-jle-im-rss--in-code---entries--
:END:
****** [[http://5outh.blogspot.com/feeds/posts/default][Abstract Nonsense]]
:PROPERTIES:
:CUSTOM_ID: --http---5outh-blogspot-com-feeds-posts-default--abstract-nonsense--
:END:
****** [[http://byorgey.wordpress.com/feed/][blog :: Brent -> String]]
:PROPERTIES:
:CUSTOM_ID: --http---byorgey-wordpress-com-feed---blog----brent----string--
:END:
****** [[http://www.haskellforall.com/feeds/posts/default][Haskell for all]]
:PROPERTIES:
:CUSTOM_ID: --http---www-haskellforall-com-feeds-posts-default--haskell-for-all--
:END:
****** [[http://themonadreader.wordpress.com/feed/][The Monad.Reader]]
:PROPERTIES:
:CUSTOM_ID: --http---themonadreader-wordpress-com-feed---the-monad-reader--
:END:
****** [[http://blog.poisson.chat/./rss.xml][Lysxia's blog]]
:PROPERTIES:
:CUSTOM_ID: --http---blog-poisson-chat---rss-xml--lysxia's-blog--
:END:
****** [[http://blog.docmunch.com/blog?format=rss][The Docmunch blog]]
:PROPERTIES:
:CUSTOM_ID: --http---blog-docmunch-com-blog-format-rss--the-docmunch-blog--
:END:
****** [[http://bitemyapp.com/rss.xml][bitemyapp]]
:PROPERTIES:
:CUSTOM_ID: --http---bitemyapp-com-rss-xml--bitemyapp--
:END:
****** [[http://www.serpentine.com/blog/feed/][teideal glic deisbhéalach]]
:PROPERTIES:
:CUSTOM_ID: --http---www-serpentine-com-blog-feed---teideal-glic-deisbhéalach--
:END:
****** [[http://sigfpe.blogspot.com/feeds/posts/default][A Neighborhood of Infinity]]
:PROPERTIES:
:CUSTOM_ID: --http---sigfpe-blogspot-com-feeds-posts-default--a-neighborhood-of-infinity--
:END:
****** [[http://neilmitchell.blogspot.com/feeds/posts/default][Neil Mitchell's Haskell Blog]]
:PROPERTIES:
:CUSTOM_ID: --http---neilmitchell-blogspot-com-feeds-posts-default--neil-mitchell's-haskell-blog--
:END:
****** [[http://blog.jakubarnold.cz/feed.xml][Jakub Arnold Blog]]
:PROPERTIES:
:CUSTOM_ID: --http---blog-jakubarnold-cz-feed-xml--jakub-arnold-blog--
:END:
***** Functional                                                 :fp:
:PROPERTIES:
:CUSTOM_ID: functional
:END:
****** [[https://christine.website/blog.rss][Christine Dodrill]]
:PROPERTIES:
:CUSTOM_ID: --https---christine-website-blog-rss--christine-dodrill--
:END:
****** [[http://martintrojer.github.io/atom.xml][Martin's Blog]]
:PROPERTIES:
:CUSTOM_ID: --http---martintrojer-github-io-atom-xml--martin's-blog--
:END:
****** [[http://lambda-the-ultimate.org/rss.xml][Lambda the Ultimate]]
:PROPERTIES:
:CUSTOM_ID: --http---lambda-the-ultimate-org-rss-xml--lambda-the-ultimate--
:END:
****** [[http://feeds.feedburner.com/7sharp9][7Sharp9]]
:PROPERTIES:
:CUSTOM_ID: --http---feeds-feedburner-com-7sharp9--7sharp9--
:END:
****** [[http://okmij.org/ftp/rss.xml][oleg]]
:PROPERTIES:
:CUSTOM_ID: --http---okmij-org-ftp-rss-xml--oleg--
:END:
***** clojure                                                    :clojure:fp:
:PROPERTIES:
:CUSTOM_ID: clojure
:END:
****** [[http://blog.juxt.pro/rss.xml][JUXT Blog]]
:PROPERTIES:
:CUSTOM_ID: --http---blog-juxt-pro-rss-xml--juxt-blog--
:END:
****** [[http://feeds.cognitect.com/blog/feed.rss][Cognitect Blog]]
:PROPERTIES:
:CUSTOM_ID: --http---feeds-cognitect-com-blog-feed-rss--cognitect-blog--
:END:
***** misc                                                       :misc:
:PROPERTIES:
:CUSTOM_ID: misc
:END:
****** [[https://nesslabs.com/feed][nesslabs ]]                                                :life:
:PROPERTIES:
:CUSTOM_ID: --https---nesslabs-com-feed--nesslabs---
:END:
****** [[https://solar.lowtechmagazine.com/feeds/all.rss.xml][lowtechmag]]
:PROPERTIES:
:CUSTOM_ID: --https---solar-lowtechmagazine-com-feeds-all-rss-xml--lowtechmag--
:END:
***** Philo                                                      :philo:
:PROPERTIES:
:CUSTOM_ID: philo
:END:
****** [[https://bluelabyrinths.com/category/philosophy/feed/][bluelabyrinths]]
:PROPERTIES:
:CUSTOM_ID: --https---bluelabyrinths-com-category-philosophy-feed---bluelabyrinths--
:END:
* former websites
:PROPERTIES:
:CUSTOM_ID: old-websites
:END:

- https://yannesposito.com ✞ 2016
- http://yann.esposito.free.fr ✞ 2007
